program sistemas_lineares

use dados
use eliminacao
use fatoracao_LU
use jacobi
use gauss_seidel

call entradas
call matriz

select case (opcao)
case(1) ! Eliminacao de Gauss

	call el_gauss

case(2) ! Decomposicao LU

	call fatoracao
	call subs_progressiva
	call subs_regressiva

case(3) ! Jacobi

	allocate ( xo(N) )
	call dados_it
	call jac

case(4) ! Gauss_Seidel

	allocate ( xo(N) )
	call dados_it
	call GS

end select

call saida

end program